# Filing Issues
If you're here then you've probably encountered an issue with github-rs, uh oh!
While we would love to make sure your code works we need a little help from you.

## Before opening up an issue
- Have you checked to see if there is already an issue open?
  - It might have also recently been fixed and a new release
    wasn't pushed so check the closed issues too

If you've answered yes please do not open open up another duplicate issue. It
will be flagged and closed.

- If it is open is there already a solution or plan available?

If not then just comment that you've faced the same issue so that it has more
visibility. Please do not ask how long or when this will be fixed. While we like
working on this and open source software, we aren't paid for it and do have
lives of our own.

## What to include in an issue:
- What did you expect to happen?
- What happened?
- What steps did you take with github-rs to try to make that happen?
- If the program crashed please provide a full stack trace by setting this:

  ```bash
  export RUST_BACKTRACE=full
  ```

  and re-running your code so that it crashes again. Paste the output of that
  in your issue.
- Any other useful information you think could help diagnose the issue.

## Thanks
Most importantly though, you're using this library which is in and of itself
a rewarding thing for us. The fact you want to help make it better by reporting
an issue is great and helpful. Just make sure you help us by following these
guidelines! Thanks!
